/*****************************************************************************
* Copyright (C) 2000 Nik Weidenbacher
* nikw@martnet.com
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*****************************************************************************/

#include "config.h"
#include "ehnt.h"

#define uc (unsigned char)
#define MAXPACKET 4096


#define ASNCOUNT 65536
char * ASNs[ASNCOUNT];

int Init_ASN_Lookups(void) {

  FILE * f;
  int i,r;
  int asn;
  char line[100],asnname[100];

  memset(ASNs,0,sizeof(ASNs));

  if ( ! (f=fopen ("asnc.txt","r")) ) {
    perror("fopen");
  } else {
    for ( ; ; ) {
      if ( (r=fscanf(f,"%d %s\n",&asn,&asnname)) != 2 ) {
	if (r==EOF) { fclose(f); return 0; }
	perror("Init_ASN_Lookups error: fscanf");
	printf("Init_ASN_Lookups error: asn=%d, asnname=%s\n",asn,asnname);
	fclose(f);
	return 1;
      } else {
	/* +1 catches the null termination */
	ASNs[asn]=malloc(strlen(asnname)+1);
	strncpy(ASNs[asn],asnname,strlen(asnname)+1);
      }
    }
  }

}

char * ASN_Lookup(int asn) {
  if (ASNs[asn]) {
    return ASNs[asn];
  } else {
    return "<unknown>";
  }

}
